Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc
Class HttpRequestHandlerAdapter

    java.lang.Object
      org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter

All Implemented Interfaces:
  HandlerAdapter

    public class HttpRequestHandlerAdapter

extends java.lang.Object
implements HandlerAdapter

Adapter to use the plain `HttpRequestHandler` interface with the generic `DispatcherServlet`. Supports handlers that implement the `LastModified` interface.

This is an SPI class, not used directly by application code.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `DispatcherServlet`, `HttpRequestHandler`, `LastModified`, `SimpleControllerHandlerAdapter`

Constructor Summary
`HttpRequestHandlerAdapter()`

Method Summary
`long` | `getLastModified(javax.servlet.http.HttpServletRequest request, java.lang.Object handler)` Same contract as for HttpServlet's `getLastModified` method.
`ModelAndView` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)` Use the given handler to handle this request.
`boolean` | `supports(java.lang.Object handler)` Given a handler instance, return whether or not this HandlerAdapter can support it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestHandlerAdapter

    public HttpRequestHandlerAdapter()

Method Detail

### supports

    public boolean supports(java.lang.Object handler)

  Description copied from interface: `HandlerAdapter`
  Given a handler instance, return whether or not this HandlerAdapter can support it. Typical HandlerAdapters will base the decision on the handler type. HandlerAdapters will usually only support one handler type each.

  A typical implementation:

  `return (handler instanceof MyHandler);`

  Specified by:
    `supports` in interface `HandlerAdapter`
  Parameters:
    `handler` - handler object to check
  Returns:
    whether or not this object can use the given handler

### handle

    public ModelAndView handle(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response,
                               java.lang.Object handler)
                        throws java.lang.Exception

  Description copied from interface: `HandlerAdapter`
  Use the given handler to handle this request. The workflow that is required may vary widely.

  Specified by:
    `handle` in interface `HandlerAdapter`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned `true`.
  Returns:
    ModelAndView object with the name of the view and the required model data, or `null` if the request has been handled directly
  Throws:
    `java.lang.Exception` - in case of errors

### getLastModified

    public long getLastModified(javax.servlet.http.HttpServletRequest request,
                                java.lang.Object handler)

  Description copied from interface: `HandlerAdapter`
  Same contract as for HttpServlet's `getLastModified` method. Can simply return -1 if there's no support in the handler class.

  Specified by:
    `getLastModified` in interface `HandlerAdapter`
  Parameters:
    `request` - current HTTP request
    `handler` - handler to use
  Returns:
    the lastModified value for the given handler
  See Also:
    `HttpServlet.getLastModified(javax.servlet.http.HttpServletRequest)`, `LastModified.getLastModified(javax.servlet.http.HttpServletRequest)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD